%global oname policy
Name:          glassfish-policy
Version:       2.5
Release:       1%{?dist}
Summary:       GlassFish WS-Policy implementation
License:       CDDL or GPLv2 with exceptions
URL:           http://policy.java.net/
# svn export https://svn.java.net/svn/policy~policy/tags/policy-2.5
# tar cJf policy-2.5.tar.xz policy-2.5
Source0:       %{oname}-%{version}.tar.xz

BuildRequires: jvnet-parent
BuildRequires: bea-stax-api
BuildRequires: istack-commons
BuildRequires: txw2
BuildRequires: woodstox-core
# test deps
BuildRequires: junit

# BuildRequires: buildnumber-maven-plugin
BuildRequires: maven-local
BuildRequires: maven-antrun-plugin
BuildRequires: maven-enforcer-plugin
# BuildRequires: svn

BuildArch:     noarch

%description
The policy project provides the WS-Policy implementation
for Project Metro.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{version}
find -name '*.jar' -delete
find -name '*.class' -delete

%pom_remove_plugin org.codehaus.mojo:buildnumber-maven-plugin
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin
%pom_remove_plugin org.glassfish.build:gfnexus-maven-plugin

sed -i 's/${artifactId}/${project.artifactId}/' pom.xml

iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.txt.conv && mv -f LICENSE.txt.conv LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%mvn_file :%{oname} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt Licenses/license-policy.html

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt Licenses/license-policy.html

%changelog
* Wed Feb 04 2015 gil cattaneo <puntogil@libero.it> 2.5-1
- update to 2.5
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.3.1-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 2.3.1-2
- switch to XMvn
- minor changes to adapt to current guideline

* Wed Oct 03 2012 gil cattaneo <puntogil@libero.it> 2.3.1-1
- initial rpm
